Bug 851331 - REST: /api/providers/{id} returns unusable organization_id
REST: /api/providers/{id} returns unusable organization_id
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Marek Hulan
Og Maciel
: Triaged
: 851332 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 16:09 EDT by Brad P. Crochet
Modified: 2013-09-19 14:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:10:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad P. Crochet 2012-08-23 16:09:25 EDT
Description of problem:
/api/providers/{id} returns:

{"created_at":"2012-08-23T19:53:38Z","organization_id":1,"updated_at":"2012-08-23T19:53:38Z","sync_state":"not_synced","last_sync":null,"task_status_id":null,"description":"My Provider Description","name":"My Provider5","provider_type":"Custom","repository_url":null,"id":160}

I cannot then take "organization_id" and pass it to:

/api/organizations/{organization_id}

/api/organizations requites the Candlepin key for the owner, not the numerical key.

The return should allow me to use the org id directly. Currently, one would need to get back a list of all organizations, then iterate over this list to find the right one.

Version-Release number of selected component (if applicable):
katello-1.0.4-1.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. curl -k https://localhost/katello/api/providers/1
2. Get back json, use organization_id directly in 
3. curl -k https://localhost/katello/api/organizations/{organization_id}
  
Actual results:
organization_id contains directly unusable id

Expected results:
organization_id contains directly usable id
Comment 1 Brad P. Crochet 2012-08-23 16:19:49 EDT
*** Bug 851332 has been marked as a duplicate of this bug. ***
Comment 2 Marek Hulan 2012-12-20 07:28:25 EST
/api/organizations/{org_id} requires organization label as $org_id in order to find correct record however changing provider organization_id json attribute does not seem right to me. Wouldn't be it better to add extra json attribute called organization_label that you could use for this purpose? The reason is that we should not call label by name "id", this could bring a lot of confusion later.
Comment 3 Brad P. Crochet 2013-02-05 08:34:41 EST
Adding an organization_label would be a reasonable addition. As long as it would then be directly usable against candlepin, aka the cpkey.
Comment 5 Mike McCune 2013-09-19 14:10:25 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.